Download it now!
Bug 83745 - Issue about updating same data
Summary: Issue about updating same data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 81107
  Show dependency treegraph
 
Reported: 2014-09-11 03:22 UTC by xukai
Modified: 2015-04-09 15:51 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
screenshot (1.05 MB, image/png)
2014-09-11 03:22 UTC, xukai
Details
OutPut (187.45 KB, application/x-7z-compressed)
2014-09-23 09:08 UTC, xukai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xukai 2014-09-11 03:22:32 UTC
Created attachment 106102 [details]
screenshot

BarHistory is recorded data updating each time, bar corresponding to the value.
four values of BarHistory on top right corner are the same.

I trace the source code, and found that the same nId and nVal will be repeatedly update 3 or 5 times from following code:
maBarMap.insert(std::pair<sal_uInt32, BarInformation>(nId,
                        BarInformation(glm::vec3(nXPos, nYPos, float(nVal/nMaxVal)),
                            nVal, nIndex, nSeriesIndex)));
This will cause the chart doesn't change after 3 or 5 times refreshing.
The source code is in create3dshapes function of gl3dbarchart class.
Comment 1 Kohei Yoshida 2014-09-22 15:39:22 UTC
Comment on attachment 106102 [details]
screenshot

Fixing mime type.
Comment 2 xukai 2014-09-23 09:08:04 UTC
Created attachment 106716 [details]
OutPut
Comment 3 Kohei Yoshida 2014-09-23 14:04:17 UTC
(In reply to comment #2)
> Created attachment 106716 [details]
> OutPut

Thanks for the output.  But I did ask for your *code change*, not an output.

About the output, where do I need to see in this output in order to see the problem with the BarHistory?
Comment 4 Kohei Yoshida 2014-09-23 15:26:01 UTC
I've merged all your changes to master and looking through the latest version of your code.  I still don't see any traces of History_0, History_1, History_2 and History_3 in the code.
Comment 5 Kohei Yoshida 2014-09-23 19:16:10 UTC
Never mind, I think I got what you mean.
Comment 6 Kohei Yoshida 2014-09-25 15:27:23 UTC
This commit

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b067ead2ee8f162374c81b35190b0201a306ae04

in conjunction with the change in the macro code as I suggested privately should fix this problem.